import { ESLint } from 'eslint';
/**
 * The type representing the lint results of a rule unit.
 */
export declare type RuleStatistic = {
    ruleId: string;
    errorCount: number;
    warningCount: number;
    isFixableCount: number;
    isFixableErrorCount: number;
    isFixableWarningCount: number;
    hasSuggestionsCount: number;
    hasSuggestionsErrorCount: number;
    hasSuggestionsWarningCount: number;
};
/** ルールごとのエラー/警告の件数などの統計を取る */
export declare function takeRuleStatistics(results: ESLint.LintResult[]): RuleStatistic[];
//# sourceMappingURL=take-rule-statistics.d.ts.map